AbstractTupleElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression
Class AbstractTupleElement<X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>

All Implemented Interfaces:
  Serializable, TupleElement<X>, TupleElementImplementor<X>

Direct Known Subclasses:
  SelectionImpl

    public abstract class AbstractTupleElement<X>

extends AbstractNode
implements TupleElementImplementor<X>, Serializable

TODO : javadoc

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractTupleElement(CriteriaBuilderImpl criteriaBuilder, Class<X> javaType)`

Method Summary
`protected void` | `forceConversion(ValueHandlerFactory.ValueHandler<X> valueHandler)`
`String` | `getAlias()`
`Class<X>` | `getJavaType()`
`ValueHandlerFactory.ValueHandler<X>` | `getValueHandler()`
`protected void` | `resetJavaType(Class targetType)`
`protected void` | `setAlias(String alias)` Protected access to define the alias.

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTupleElement

    protected AbstractTupleElement(CriteriaBuilderImpl criteriaBuilder,
                                   Class<X> javaType)

Method Detail

### getJavaType

    public Class<X> getJavaType()

  Specified by:
    `getJavaType` in interface `TupleElement<X>`

### resetJavaType

    protected void resetJavaType(Class targetType)

### forceConversion

    protected void forceConversion(ValueHandlerFactory.ValueHandler<X> valueHandler)

### getValueHandler

    public ValueHandlerFactory.ValueHandler<X> getValueHandler()

  Specified by:
    `getValueHandler` in interface `TupleElementImplementor<X>`

### getAlias

    public String getAlias()

  Specified by:
    `getAlias` in interface `TupleElement<X>`

### setAlias

    protected void setAlias(String alias)

  Protected access to define the alias.

  Parameters:
    `alias` - The alias to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.